## kylin-wayland-compositor 1.3.1

=== meson_options.txt ===
option('plugin_directory',
       type: 'string',
       value: '',
       description: 'Location for plugin (default: ${prefix}/lib/kylin-wlcom/plugins/)'
)

option('libunwind',
       type : 'feature',
       value: 'auto',
       description : 'Use libunwind for stack-traces'
)

option('examples',
       type: 'boolean',
       value: true,
       description: 'Build example applications'
)

option('nls',
       type: 'feature',
       value: 'auto',
       description: 'Enable native language support'
)

option('libkywc',
       type: 'boolean',
       value: true,
       description: 'Build libkywc for client'
)

option('drm_lease_device',
       type: 'boolean',
       value: true,
       description: 'Enable drm lease device v1 protocols support'
)

option('kde_output',
       type: 'boolean',
       value: true,
       description: 'Enable kde output protocols support'
)

option('kde_virtual_desktop',
       type: 'boolean',
       value: true,
       description: 'Enable kde virtual desktop protocol support'
)

option('wlr_output',
       type: 'boolean',
       value: true,
       description: 'Enable wlroots output protocols support'
)

option('wlr_foreign_toplevel',
       type: 'boolean',
       value: true,
       description: 'Enable wlroots foreign toplevel protocol support'
)

option('wlr_layer_shell',
       type: 'boolean',
       value: true,
       description: 'Enable wlroots layer shell protocol support'
)

option('kde_global_accel',
       type: 'boolean',
       value: true,
       description: 'Enable kde global accel dbus server support'
)

option('kde_input',
       type: 'boolean',
       value: true,
       description: 'Enable kde input dbus server support'
)

option('kde_plasma_shell',
       type: 'boolean',
       value: true,
       description: 'Enable kde plasma shell protocol support'
)

option('kde_plasma_window_management',
       type: 'boolean',
       value: true,
       description: 'Enable kde plasma window management protocol support'
)

option('kde_blur',
       type: 'boolean',
       value: true,
       description: 'Enable kde blur protocol support'
)

option('kde_slide',
       type: 'boolean',
       value: true,
       description: 'Enable kde slide protocol support'
)

option('ukui_screenshot',
       type: 'boolean',
       value: true,
       description: 'Enable ukui screenshot dbus server support'
)

option('ukui_shortcut',
       type: 'boolean',
       value: true,
       description: 'Enable ukui shortcut block dbus manager support'
)

option('ukui_gsettings',
       type: 'boolean',
       value: true,
       description: 'Enable ukui configuration gsettings support'
)

option('ukui_theme',
       type: 'boolean',
       value: false,
       description: 'Enable ukui widget theme support'
)

option('kde_keystate',
       type: 'boolean',
       value: true,
       description: 'Enable kde keystate protocol support'
)

option('kde_clipboard',
       type: 'boolean',
       value: true,
       description: 'Enable kde clipboard dbus'
)

option('ukui_watermark',
       type: 'boolean',
       value: true,
       description: 'Enable ukui watermark dbus'
)

option('ukui_shell',
       type: 'boolean',
       value: true,
       description: 'Enable ukui shell protocol support'
)

option('ukui_window_management',
       type: 'boolean',
       value: true,
       description: 'Enable ukui window management protocol support'
)

option('ukui_output',
       type: 'boolean',
       value: true,
       description: 'Enable ukui output protocol support'
)

option('ukui_blur',
       type: 'boolean',
       value: true,
       description: 'Enable ukui blur protocol support'
)

option('ukui_effect',
       type: 'boolean',
       value: true,
       description: 'Enable ukui effect protocol support'
)

option('ukui_startup',
       type: 'boolean',
       value: true,
       description: 'Enable ukui startup protocol support'
)

option('tracy',
       type: 'boolean',
       value: false,
       description: 'Enable tracy profiler'
)

option('ukui_view_mode',
       type: 'boolean',
       value: true,
       description: 'Enable ukui view mode dbus support'
)

option('extra_icon_path',
       type: 'string',
       description: 'Add extra icon path'
)

option('extra_apps_path',
       type: 'string',
       description: 'Add extra apps path'
)

option('extra_pixmap_path',
       type: 'string',
       description: 'Add extra pixmap path'
)

option('tools',
       type: 'boolean',
       value: true,
       description: 'Build tools'
)

=== debian/changelog ===
kylin-wayland-compositor (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1124353)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 31 Dec 2025 16:47:12 +0800

=== debian/control ===
Source: kylin-wayland-compositor
Section: x11
Priority: optional
Maintainer: Morose <chenlinxiang@kylinos.cn>
Uploaders:
 handsome_feng <jianfengli@ubuntukylin.com>,
 zhangpan <zhangpan@kylinos.cn>,
Build-Depends:
 debhelper-compat (= 13),
 hwdata,
 libcairo2-dev,
 libepoxy-dev,
 libjpeg-dev,
 libjson-c-dev (>= 0.15),
 libpango1.0-dev,
 libpng-dev,
 librsvg2-dev,
 libssl-dev,
 libunwind-dev,
 libwayland-dev,
 libwlroots-0.18-dev,
 libxcb-shape0-dev,
 meson (>= 0.59.0),
 pkgconf,
 quilt,
 scdoc,
Standards-Version: 4.6.2
Homepage: https://gitee.com/openkylin/kylin-wayland-compositor
Vcs-Git: https://gitee.com/openkylin/kylin-wayland-compositor.git
Vcs-Browser: https://gitee.com/openkylin/kylin-wayland-compositor

Package: kylin-wayland-compositor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Kylin wayland compositor based on wlroots
 kylin-wayland-compositor is the window manager based on wlroots.
 It gives you complete control over your windows. It paints the
 window decoration, the bar on top of window with buttons like
 close, maximize and minimize. It also handles placing of windows
 and switching between them.

Package: libkywc1
Architecture: any
Depends:
 kylin-wayland-compositor,
 ${misc:Depends},
 ${shlibs:Depends},
Description: kylin wayland compositor user interface library
 kylin-wayland-compositor is the window manager based on wlroots.
 It gives you complete control over your windows. It paints the
 window decoration, the bar on top of window with buttons like
 close, maximize and minimize. It also handles placing of windows
 and switching between them.
 .
 This package contains the client library files.

Package: libkywc1-dev
Architecture: any
Depends:
 libkywc1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for the library
 kylin-wayland-compositor is the window manager based on wlroots.
 It gives you complete control over your windows. It paints the
 window decoration, the bar on top of window with buttons like
 close, maximize and minimize. It also handles placing of windows
 and switching between them.
 .
 This package contains the header and development files which are
 needed for building applications.

Package: kylin-wayland-compositor-tools
Architecture: any
Depends:
 kylin-wayland-compositor,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tools for kylin wayland compositor
 kylin-wayland-compositor is the window manager based on wlroots.
 It gives you complete control over your windows. It paints the
 window decoration, the bar on top of window with buttons like
 close, maximize and minimize. It also handles placing of windows
 and switching between them.
 .
 This package contains the tools for user.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dexamples=false -Ddrm_lease_device=false -Dukui_theme=true --buildtype=debugoptimized

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_clean:
	dh_clean
	rm -rf debian/build
	rm -rf build-source

=== debian/watch ===
Version: 5
Source: https://gitee.com/openkylin/kylin-wayland-compositor/releases/
Matching-Pattern: download/debian/(\d[\d\.]*)/kylin-wayland-compositor_\1.orig.tar.gz
